<?php
if ( !class_exists('Puc_v4p6_Vcs_PluginUpdateChecker') ): class Puc_v4p6_Vcs_PluginUpdateChecker extends Puc_v4p6_Plugin_UpdateChecker implements Puc_v4p6_Vcs_BaseChecker { protected $branch = 'master'; protected $api = null; public function __construct($api, $pluginFile, $slug = '', $checkPeriod = 12, $optionName = '', $muPluginFile = '') { $this->api = $api; $this->api->setHttpFilterName($this->getUniqueName('request_info_options')); parent::__construct($api->getRepositoryUrl(), $pluginFile, $slug, $checkPeriod, $optionName, $muPluginFile); $this->api->setSlug($this->slug); } public function requestInfo($unusedParameter = null) { if ( function_exists('set_time_limit') ) { @set_time_limit(60); } $api = $this->api; $api->setLocalDirectory($this->package->getAbsoluteDirectoryPath()); $info = new Puc_v4p6_Plugin_Info(); $info->filename = $this->pluginFile; $info->slug = $this->slug; $this->setInfoFromHeader($this->package->getPluginHeader(), $info); $updateSource = $api->chooseReference($this->branch); if ( $updateSource ) { $ref = $updateSource->name; $info->version = $updateSource->version; $info->last_updated = $updateSource->updated; $info->download_url = $updateSource->downloadUrl; if ( !empty($updateSource->changelog) ) { $info->sections['changelog'] = $updateSource->changelog; } if ( isset($updateSource->downloadCount) ) { $info->downloaded = $updateSource->downloadCount; } } else { do_action( 'puc_api_error', new WP_Error( 'puc-no-update-source', 'Could not retrieve version information from the repository. ' . 'This usually means that the update checker either can\'t connect ' . 'to the repository or it\'s configured incorrectly.' ), null, null, $this->slug ); return null; } $mainPluginFile = basename($this->pluginFile); $remotePlugin = $api->getRemoteFile($mainPluginFile, $ref); if ( !empty($remotePlugin) ) { $remoteHeader = $this->package->getFileHeader($remotePlugin); $this->setInfoFromHeader($remoteHeader, $info); } if ( $this->readmeTxtExistsLocally() ) { $this->setInfoFromRemoteReadme($ref, $info); } if ( empty($info->sections['changelog']) ) { $info->sections['changelog'] = $api->getRemoteChangelog($ref, $this->package->getAbsoluteDirectoryPath()); if ( empty($info->sections['changelog']) ) { $info->sections['changelog'] = __('There is no changelog available.', 'plugin-update-checker'); } } if ( empty($info->last_updated) ) { $latestCommitTime = $api->getLatestCommitTime($ref); if ( $latestCommitTime !== null ) { $info->last_updated = $latestCommitTime; } } $info = apply_filters($this->getUniqueName('request_info_result'), $info, null); return $info; } protected function readmeTxtExistsLocally() { return $this->package->fileExists($this->api->getLocalReadmeName()); } protected function setInfoFromHeader($fileHeader, $pluginInfo) { $headerToPropertyMap = array( 'Version' => 'version', 'Name' => 'name', 'PluginURI' => 'homepage', 'Author' => 'author', 'AuthorName' => 'author', 'AuthorURI' => 'author_homepage', 'Requires WP' => 'requires', 'Tested WP' => 'tested', 'Requires at least' => 'requires', 'Tested up to' => 'tested', ); foreach ($headerToPropertyMap as $headerName => $property) { if ( isset($fileHeader[$headerName]) && !empty($fileHeader[$headerName]) ) { $pluginInfo->$property = $fileHeader[$headerName]; } } if ( !empty($fileHeader['Description']) ) { $pluginInfo->sections['description'] = $fileHeader['Description']; } } protected function setInfoFromRemoteReadme($ref, $pluginInfo) { $readme = $this->api->getRemoteReadme($ref); if ( empty($readme) ) { return; } if ( isset($readme['sections']) ) { $pluginInfo->sections = array_merge($pluginInfo->sections, $readme['sections']); } if ( !empty($readme['tested_up_to']) ) { $pluginInfo->tested = $readme['tested_up_to']; } if ( !empty($readme['requires_at_least']) ) { $pluginInfo->requires = $readme['requires_at_least']; } if ( isset($readme['upgrade_notice'], $readme['upgrade_notice'][$pluginInfo->version]) ) { $pluginInfo->upgrade_notice = $readme['upgrade_notice'][$pluginInfo->version]; } } public function setBranch($branch) { $this->branch = $branch; return $this; } public function setAuthentication($credentials) { $this->api->setAuthentication($credentials); return $this; } public function getVcsApi() { return $this->api; } public function getUpdate() { $update = parent::getUpdate(); if ( isset($update) && !empty($update->download_url) ) { $update->download_url = $this->api->signDownloadUrl($update->download_url); } return $update; } public function onDisplayConfiguration($panel) { parent::onDisplayConfiguration($panel); $panel->row('Branch', $this->branch); $panel->row('Authentication enabled', $this->api->isAuthenticationEnabled() ? 'Yes' : 'No'); $panel->row('API client', get_class($this->api)); } } endif;